# $Revision: 1.54 $, $Date: 2012/02/13 22:14:44 $
#
# TODO: - unpackaged files:
#		_site-packages/pygame/docs/*
#		_site-packages/pygame/examples/*
#		_site-packages/pygame/gp2x/*
#		_site-packages/pygame/tests/*
#

%define		module	pygame

Summary:	Python modules designed for writing games
Summary(pl.UTF-8):	Moduły Pythona dla piszących gry
Name:		python-%{module}
Version:	1.9.1
Release:	12
License:	LGPL v2.1+
Group:		Libraries/Python
Source0:	http://www.pygame.org/ftp/pygame-%{version}release.tar.gz
# Source0-md5:	1c4cdc708d17c8250a2d78ef997222fc
Patch0:		%{name}-porttime.patch
Patch1:		%{name}-remove-v4l.patch
URL:		http://www.pygame.org/
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel >= 2.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	portmidi-devel >= 217
BuildRequires:	python-numpy-devel
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	smpeg-devel
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pygame is a set of Python modules designed for writing games. It is
written on top of the excellent SDL library. This allows you to create
fully featured games and multimedia programs in the python language.
The package is highly portable, with games running on Windows, NT4,
MacOS, OSX, BeOS, FreeBSD, IRIX, and Linux.

%description -l pl.UTF-8
Pygame jest zbiorem modułów Pythona zaprojektowanych do pisania gier.
Moduły te zostały napisane na bazie wspaniałej biblioteki SDL. Dzięki
temu możliwe jest tworzenie bogatych w multimedia gier w języku
Python.

%package devel
Summary:	C header files for pygame modules
Summary(pl.UTF-8):	Pliki nagłówkowe języka C modułów pygame
Group:		Development/Languages/Python
%pyrequires_eq	python
Requires:	%{name} = %{version}-%{release}

%description devel
C header files for pygame modules.

%description devel -l pl.UTF-8
Pliki nagłówkowe języka C modułów pygame.

%prep
%setup -q -n %{module}-%{version}release
%patch0 -p1
%patch1 -p1

%build
CFLAGS="%{rpmcflags} -I/usr/include/smpeg"; export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--root=$RPM_BUILD_ROOT

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc WHATSNEW docs/*
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.ttf
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/threads/
%{py_sitedir}/%{module}/threads/*.py[co]

%files devel
%defattr(644,root,root,755)
%{py_incdir}/%{module}
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pygame.spec,v $
Revision 1.54  2012/02/13 22:14:44  adamg
- drop v4l support
- release 12 (rebuild against libpng-1.5)

Revision 1.53  2012/02/12 08:12:46  arekm
- release 11

Revision 1.52  2011/12/20 19:40:52  arekm
- release 10

Revision 1.51  2011/06/27 11:14:12  baggins
- rel 9
- Numeric -> numpy

Revision 1.50  2011/01/28 23:41:43  lisu
- portmidi BR version updated

Revision 1.49  2011/01/28 23:36:13  lisu
- rel 8

Revision 1.48  2011/01/28 23:33:54  lisu
- add -porttime.patch which fixes build with new portmidi

Revision 1.47  2011/01/22 19:28:57  arekm
- release 7

Revision 1.46  2010/11/13 00:20:33  pawelz
- release 6

Revision 1.45  2010/07/08 08:30:16  arekm
- release 5

Revision 1.44  2010/06/21 11:53:42  arekm
- release 4

Revision 1.43  2010/01/29 20:37:08  arekm
- release 3

Revision 1.42  2009/12/29 14:39:07  sparky
- BR: python-modules, rpm-pythonprov

Revision 1.41  2009/11/03 17:09:19  sls
- rel. 2 (now "import pygame" works)
- more info about upackaged files

Revision 1.40  2009/11/03 17:07:03  sls
- package pygame.threads (doesn't work without it)
- rel. 1.1

Revision 1.39  2009/08/26 13:17:40  lisu
- TODO

Revision 1.38  2009/08/26 13:16:59  lisu
- up to 1.9.1
- sorted BRs
- add BRs: rpmbuild(macros) >= 1.219, portmidi-devel
- use %%py_postclean macro

Revision 1.37  2009/07/26 21:56:08  baseciq
- added missing buildrequires

Revision 1.36  2009/07/12 13:19:10  arekm
- release 3

Revision 1.35  2008/10/03 17:56:55  arekm
- release 2

Revision 1.34  2008-05-09 19:58:05  witekfl
- up to 1.8.0

Revision 1.33  2008-02-15 01:42:50  glen
- release 3

Revision 1.32  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.31  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.30  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.29  2006/11/21 18:16:57  arekm
- rel 2

Revision 1.28  2006/07/18 08:13:16  qboosh
- python-numpy -> python-Numeric
- strict internal dep, fixed smpeg includes

Revision 1.27  2006/04/20 19:54:31  jajcus
- Version: 1.7.1

Revision 1.26  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.25  2004/12/24 21:49:40  arekm
- rel4

Revision 1.24  2004/08/19 10:51:29  undefine
- release 3

Revision 1.23  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.22  2003/12/01 23:59:33  matkor
- Release 2. Ac rebuild with changed Pythons ABI.

Revision 1.21  2003/10/23 21:58:27  arekm
- updated to 1.6

Revision 1.20  2003/06/11 13:26:39  deejay1
- up to version 1.5.6

Revision 1.19  2003/05/28 13:01:30  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/20 08:09:47  deejay1
- up to version 1.5.5

Revision 1.16  2002/08/04 23:17:28  marcus
- updated to 1.5

Revision 1.15  2002/06/27 09:46:48  kloczek
- release 7: again rebuild in corrected environment.

Revision 1.14  2002/05/21 20:55:07  kloczek
- release 6,
- rebuild against SDL_ttf >= 2.0 and use new %doc packing infrastructure.

Revision 1.13  2002/04/13 17:34:01  kloczek
- rebuild against pythin 2.2.1.

Revision 1.12  2002/04/11 13:57:52  wrobell
- rel. 5, stb

Revision 1.11  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.10  2002/03/20 18:10:58  filon
- move contents of examples dir, not that dir itself
- release 4

Revision 1.9  2002/03/19 14:06:39  filon
- really removed exampes from docs :-)
- release 3

Revision 1.8  2002/03/18 07:14:12  wrobell
- main package group changed to Libraries/Python
- rel. 2
- stb

Revision 1.7  2002/03/17 22:07:52  filon
- updated to 1.4
- moved examples to devel package to _examplesdir

Revision 1.6  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/06 09:05:12  kloczek
- adapterized.

Revision 1.3  2002/02/04 03:22:48  kloczek
- release 2: rebuild against python 2.2 and adapterize spec file.

Revision 1.2  2002/01/26 09:38:44  kloczek
- cosmetics.

Revision 1.1  2002/01/25 23:03:59  misiek
- initial pld release
